### Enumeration

# FwupdPlugin MsgpackItemKind

#### Declaration

    enum FwupdPlugin.MsgpackItemKind

#### Description

No description available.

#### Members

`FU_MSGPACK_ITEM_KIND_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_INTEGER`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_NIL`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_BOOLEAN`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_FLOAT`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_STRING`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_BINARY`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_ARRAY`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_MAP`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_MSGPACK_ITEM_KIND_EXTENSION`

  No description available.

  - Value: `9`
  - Available since: 1.0